> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get knowledge base collections



## OpenAPI

````yaml get /api/v1/knowledge-base/collections
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/knowledge-base/collections:
    get:
      tags:
        - Knowledge Base
      summary: Get knowledge base collections
      responses:
        '200':
          description: List of knowledge base collections retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  collections:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                          nullable: true
                        description:
                          type: string
                          nullable: true
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        files:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              fileName:
                                type: string
                              key:
                                type: string
                              status:
                                type: string
                              createdAt:
                                type: string
                              updatedAt:
                                type: string
                              prompt:
                                type: string
                                nullable: true
                              size:
                                type: number
                                nullable: true
                              url:
                                type: string
                                nullable: true
                            required:
                              - id
                              - fileName
                              - key
                              - status
                              - createdAt
                              - updatedAt
                      required:
                        - id
                        - name
                        - description
                        - createdAt
                        - updatedAt
                        - files
                required:
                  - collections
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````